{*
* 2017-2019 Buy Addons Team
*
* NOTICE OF LICENSE
*
* This source file is subject to the GNU General Public License version 3
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://www.opensource.org/licenses/gpl-3.0.html
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@buy-addons.com so we can send you a copy immediately.
*
* @author Buy Addons Team <hatt@buy-addons.com>
* @copyright  2017-2019 Buy Addons Team
* @license   http://www.opensource.org/licenses/gpl-3.0.html  GNU General Public License version 3
* International Registered Trademark & Property of Buy Addons Team
*}
{if $demoMode == " 1"}
    <div class="bootstrap ba_error" >
        <div class="module_error alert alert-danger" >
            {l s='You are use ' mod='productcommentfilter'}
            <strong>{l s='Demo Mode ' mod='productcommentfilter'}</strong>
            {l s=', so some buttons, functions will be disabled because of security. ' mod='productcommentfilter'}
            {l s='You can use them in Live mode after you puchase our module. ' mod='productcommentfilter'}
            {l s='Thanks !' mod='productcommentfilter'}
        </div>
    </div>
{/if}
<form id="filter-comment-id" class="defaultForm form-horizontal" method="post" action="" enctype="multipart/form-data">
    <div class="panel">
        <h3><i class="icon-cogs"></i>{l s=' Product Comment Filter Settings' mod='productcommentfilter'}</h3>
        <div class="form-group">
            <div class="row">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" title="" data-original-title="">
                        {l s='Keywords to Remove' mod='productcommentfilter'}
                    </span>
                </label>
                <div class="col-lg-6">
                    <textarea name="keywords" class="form-control"  cols="30" rows="10">{$data_return[0]['keyword_filtercmt']|escape:'htmlall':'UTF-8'}</textarea>
                    <p class="help-block">{l s='Separate keywords with commas.' mod='productcommentfilter'}</p>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="row">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" title="" data-original-title="">
                        {l s='Filter Review Title ' mod='productcommentfilter'}
                    </span>
                </label>
                <div class="col-lg-6">
                    <span class="switch prestashop-switch fixed-width-lg bottom-onoff">
                    <input type="radio" name="filter-title" id="filter_title_on" value="1" {if $data_return[0]['filter_review_title'] == 1} checked="checked"{/if}>
                    <label for="filter_title_on">
                        {l s='Yes' mod='productcommentfilter'}
                    </label>
                    <input type="radio" name="filter-title" id="filter_title_off" value="0" {if $data_return[0]['filter_review_title'] == 0} checked="checked"{/if}>
                    <label for="filter_title_off">
                        {l s='No' mod='productcommentfilter'}
                    </label>
                    <a class="slide-button btn"></a>
                  </span>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="row">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" title="" data-original-title="">
                        {l s='Word Rendering' mod='productcommentfilter'}
                    </span>
                </label>
                <div class="col-lg-6">
                    <div class="radio">
                        <label>
                            <input type="radio" name="words_rendering" value="fi_letter" {if $data_return[0]['words_rendering'] == fi_letter }checked="checked"{/if}>
                                {l s='First letter retained' mod='productcommentfilter'}
                            <p class="help-block">
                                {l s='[e.g. \'dog\' becomes \'d**\']' mod='productcommentfilter'}
                            </p>
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="words_rendering" value="all_letter" {if $data_return[0]['words_rendering'] == all_letter }checked="checked"{/if}>
                                {l s='All letters removed' mod='productcommentfilter'}
                            <p class="help-block">
                                {l s='[e.g. \'dog\' becomes \'***\']' mod='productcommentfilter'}
                            </p>
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="words_rendering" value="fl_letter" {if $data_return[0]['words_rendering'] == fl_letter }checked="checked"{/if}>
                                {l s='First/last letter retained' mod='productcommentfilter'}
                            <p class="help-block">
                                {l s='[e.g. \'dog\' becomes \'d*g\']' mod='productcommentfilter'}
                            </p>
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="row">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" title="" data-original-title="">
                        {l s='Filter Character' mod='productcommentfilter'}
                    </span>
                </label>
                <div class="col-lg-6">
                   <div class="col-lg-10">
                        <select name="filter_char">
                            <option value="star" {if $data_return[0]['filter_character'] == 'star'}selected="selected"{/if}>{l s='[*] Asterisk' mod='productcommentfilter'}</option>
                            <option value="dollar" {if $data_return[0]['filter_character'] == 'dollar'}selected="selected"{/if}>{l s='[$] Dollar' mod='productcommentfilter'}</option>
                            <option value="quest" {if $data_return[0]['filter_character'] == 'quest'}selected="selected"{/if}>{l s='[?] Question' mod='productcommentfilter'}</option>
                            <option value="excl" {if $data_return[0]['filter_character'] == 'excl'}selected="selected"{/if}>{l s='[!] Exclamation' mod='productcommentfilter'}</option>
                            <option value="hyphen" {if $data_return[0]['filter_character'] == 'hyphen'}selected="selected"{/if}>{l s='[-] Hyphen' mod='productcommentfilter'}</option>
                            <option value="hash" {if $data_return[0]['filter_character'] == 'hash'}selected="selected"{/if}>{l s='[#] Hash' mod='productcommentfilter'}</option>
                            <option value="tilde" {if $data_return[0]['filter_character'] == 'tilde'}selected="selected"{/if}>{l s='[~] Tilde' mod='productcommentfilter'}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="row">
                <label class="control-label col-lg-3">
                    <span class="label-tooltip" data-toggle="tooltip" title="" data-original-title="">
                        {l s='Case Matching' mod='productcommentfilter'}
                    </span>
                </label>
                <div class="col-lg-6">
                    <div class="radio">
                        <label>
                            <input type="radio" name="case_matching" value="1" {if $data_return[0]['case_matching'] == 1 }checked="checked"{/if}>
                            {l s='Case Sensitive' mod='productcommentfilter'}
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" name="case_matching" value="2" {if $data_return[0]['case_matching'] == 2 }checked="checked"{/if}>
                                {l s='Case Insensitive (recommended)' mod='productcommentfilter'}
                            <p class="help-block">
                                {l s='Note: \'Case Insensitive\' matching type is better as it captures more words!' mod='productcommentfilter'}
                            </p>
                        </label>
                    </div>
                </div>
            </div>
        </div>
        <div class="panel-footer">
            <button type="submit" name="save" class="btn btn-default pull-right"> <i class="process-icon-save"></i>{l s='Save' mod='productcommentfilter'}</button>
        </div>
    </div>
</form>